<?php

class TesisSystemClass {

  private $o_ParamBean;
  
  public function __construct($o_ParamBean){
    $this->o_ParamBean = $o_ParamBean;
  }
  
  private function getObjParamBean(){
    return $this->o_ParamBean;
  }
  
  public function insertTesis(){
    
    $o_TesisBL = new TesisBL();
    return $o_TesisBL->insertarTesis($this->getObjParamBean());
    
  }
   
  public function eliminarTesis(){
    
    $o_TesisBL = new TesisBL();
    return $o_TesisBL->eliminarTesis($this->getObjParamBean());
    
  }
  
  public function getTipoTesis(){
    
    $o_TipoTesisBL = new TipoTesisBL();
    return $o_TipoTesisBL->busquedaTipoTesis($this->getObjParamBean());
  }
  
  public function modificarTesis(){
    $o_TesisBL = new TesisBL();
    return $o_TesisBL->modificarTesis($this->getObjParamBean());
  }
  
}